#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX
Summary:	XML::SAX - simple API for XML
Summary(pl.UTF-8):	XML::SAX - proste API dla XML-a
Name:		perl-XML-SAX
Version:	1.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b62e3754523695c7f5bbcafa3676a38d
Patch0:		%{name}-noalter.patch
URL:		http://search.cpan.org/dist/XML-SAX/
BuildRequires:	perl-XML-NamespaceSupport >= 0.03
BuildRequires:	perl-XML-SAX-Base >= 1.05
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires(post):	coreutils
Requires:	perl-XML-NamespaceSupport >= 0.03
Requires:	perl-XML-SAX-Base >= 1.05
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%description -l pl.UTF-8
XML::SAX składa się z kilku klas tworzących szkielet do używania i
budowania parserów, filtrów i sterowników SAX2 XML w Perlu. Zadaniem
modułu jest umożliwienie włączania różnych parserów SAX do aplikacji
bez udziału programisty. Znający moduły DBI będą się czuli jak w domu.
Niektóre koncepcje pochodzą ze specyfikacji Java JAXP (część SAX), ale
bez javowości.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
touch $RPM_BUILD_ROOT%{perl_vendorlib}/XML/SAX/ParserDetails.ini

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/XML/SAX/Intro.pod

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
touch %{perl_vendorlib}/XML/SAX/ParserDetails.ini

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/SAX.pm
%{perl_vendorlib}/XML/SAX/DocumentLocator.pm
%{perl_vendorlib}/XML/SAX/ParserFactory.pm
%{perl_vendorlib}/XML/SAX/PurePerl.pm
%{perl_vendorlib}/XML/SAX/PurePerl
%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini
%{_mandir}/man3/XML::SAX.3pm*
%{_mandir}/man3/XML::SAX::DocumentLocator.3pm*
%{_mandir}/man3/XML::SAX::Intro.3pm*
%{_mandir}/man3/XML::SAX::ParserFactory.3pm*
%{_mandir}/man3/XML::SAX::PurePerl*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-SAX.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9826934
- up to 1.02

* Sat Sep 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 5ad1ad2
- updated to 1.00
- updated noalter patch

* Thu Dec 05 2013 Jan Rękorajski <baggins@pld-linux.org> 5de0d47
- release 2 (by relup.sh)

* Fri Nov 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 37c7d40
- updated to 0.99

* Sat Dec 13 2008 radek <radek@pld-linux.org> 46e9ca7
- version 0.96

* Mon Mar 03 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> e2439bc
- rel.2

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a672551
- up to 0.16

* Fri May 18 2007 Maciej Pijanka <agaran@pld-linux.org> 4c958b1
- up to 0.15, builds here, rel=1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 74068b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05da61c
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 2d7d030
- added URL

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 93bdca1
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Mon Jun 19 2006 maciek2w <maciek2w@pld-linux.org> e6a8ca1
- updated to 0.14
- STBR

* Fri Feb 03 2006 migo <migo@pld-linux.org> 3bce0e9
- up to 0.13

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2d38579
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> c846b07
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> 72fb345
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 59ff7ef
- license unification, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 20b629a
- new bconds

* Mon Feb 23 2004 ankry <ankry@pld-linux.org> c75fd3a
- pl fixes, cosmetics

